XAResourceHolderState (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.internal
Class XAResourceHolderState

    java.lang.Object
      bitronix.tm.internal.XAResourceHolderState

    public class XAResourceHolderState

extends Object

`XAResourceHolder` state container. Instances are kept in the transaction and bound to / unbound from the `XAResourceHolder` as the resource participates in different transactions. A `XAResourceHolder` without `XAResourceHolderState` is considered to be in local transaction mode.

Objects of this class also expose resource specific configuration like the unique resource name.

The `XAResource` state during a transaction participation is also contained: assigned XID, transaction start / end state...

There is exactly one `XAResourceHolderState` object per `XAResourceHolder` per `Transaction`.

Author:
  lorban
See Also:
  `ResourceBean`

Constructor Summary
`XAResourceHolderState(XAResourceHolder resourceHolder, ResourceBean bean)`
`XAResourceHolderState(XAResourceHolderState resourceHolderState)`

Method Summary
`void` | `end(int flags)`
`boolean` | `equals(Object obj)`
`boolean` | `getIgnoreRecoveryFailures()`
`Date` | `getTransactionTimeoutDate()`
`int` | `getTwoPcOrderingPosition()`
`String` | `getUniqueName()`
`boolean` | `getUseTmJoin()`
`XAResource` | `getXAResource()`
`XAResourceHolder` | `getXAResourceHolder()`
`BitronixXid` | `getXid()`
`int` | `hashCode()`
`boolean` | `isEnded()`
`boolean` | `isFailed()`
`boolean` | `isStarted()`
`boolean` | `isSuspended()`
`void` | `setTransactionTimeoutDate(Date transactionTimeoutDate)`
`void` | `setXid(BitronixXid xid)`
`void` | `start(int flags)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XAResourceHolderState

    public XAResourceHolderState(XAResourceHolder resourceHolder,
                                 ResourceBean bean)

### XAResourceHolderState

    public XAResourceHolderState(XAResourceHolderState resourceHolderState)

Method Detail

### getXid

    public BitronixXid getXid()

### setXid

    public void setXid(BitronixXid xid)
                throws BitronixSystemException

  Throws:
    `BitronixSystemException`

### getXAResource

    public XAResource getXAResource()

### getXAResourceHolder

    public XAResourceHolder getXAResourceHolder()

### getTransactionTimeoutDate

    public Date getTransactionTimeoutDate()

### setTransactionTimeoutDate

    public void setTransactionTimeoutDate(Date transactionTimeoutDate)

### getUniqueName

    public String getUniqueName()

### getUseTmJoin

    public boolean getUseTmJoin()

### getTwoPcOrderingPosition

    public int getTwoPcOrderingPosition()

### getIgnoreRecoveryFailures

    public boolean getIgnoreRecoveryFailures()

### isEnded

    public boolean isEnded()

### isStarted

    public boolean isStarted()

### isSuspended

    public boolean isSuspended()

### isFailed

    public boolean isFailed()

### end

    public void end(int flags)
             throws XAException

  Throws:
    `XAException`

### start

    public void start(int flags)
               throws XAException

  Throws:
    `XAException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.